# File: ScroogeAndMarley.py

"""
This module defines a simple Employee class in which the client is
responsible for assigning values directly to the individual fields.
Although this strategy is legal in Python, it does not provide any
encapsulation, which is an essential feature of modern programming
"""

class Employee():
    """
    This class defines an empty record type that clients can use to 
    store information about employees.
    """

def createEmployee(name, title, salary):
    emp = Employee()
    emp.name = name
    emp.title = title
    emp.salary = salary
    return emp

def printEmployee(emp):
    print(emp.name + " (" + emp.title + "): " + str(emp.salary))

def createScroogeAndMarley():
    roster = [ ]
    roster.append(createEmployee("Ebenezer Scrooge", "partner", 1000))
    roster.append(createEmployee("Bob Cratchit", "clerk", 25))
    return roster

def TestScroogeAndMarley():
    for emp in createScroogeAndMarley():
        printEmployee(emp)

# Startup code

if __name__ == "__main__":
    TestScroogeAndMarley()
